var passport = require('passport'),
    mongoose = require('mongoose'),
    User = mongoose.model('User')

exports.signup = function(req, res) {
  console.log('signup called in ctrlb-prod-fw')
  try {
    var user = new User()

    user.firstName = req.body.firstName
    user.lastName = req.body.lastName
    user.middleName = req.body.middleName
    user.email = req.body.email
    user.phone = req.body.phone

    console.log(user) //logging purpose only
    user.setPassword(req.body.password)

    user.save(function(err) {
      if(err) {
        if(err.errmsg)
          res.status(200).json({err: err.errmsg})
      } 
      else {
        var token
        token = user.generateJwt()
        res.status(200).json({
          "token" : token
        })
      }
    })
  }
  catch(e) {
    console.log(e.message)
  }
  
  res.send('We are in signup route of product framework') //this is temporary; comment in production
}
